/*
** CBLM v3
** $Id: db.h,v 1.7 2007/12/11 05:30:55 sella Exp $
** Copyright (c) 2004-2007 James M. Sella. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
** 
** Cheap Bastard Latency Monitor v3
*/

#ifndef __DGS_DB_H
#define __DGS_DB_H

#include "common.h"

#include <mysql/mysql.h>

int db_connect();
void db_disconnect();
int db_query(MYSQL_RES** res, char* sql);
int db_check();
int db_isconnected();
int db_sanity();

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim: noet ts=3 sw=3
*/
